[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#407671: Missing CONFIG_PMAC_BACKLIGHT_LEGACY breaks backlight control

Subject: linux-image-2.6-powerpc: Missing CONFIG_PMAC_BACKLIGHT_LEGACY breaks backlight control
Package: linux-image-2.6-powerpc
Version: 2.6.18+5
Severity: grave

*** Please type your report below this line ***

In the current debian kernel 2.6.18 the option

This option disables some PMU ioctls that won't be needed anymore due
to the sysfs backlight interface. Unfortunately the current setting also
disables IOC_GRAB_BACKLIGHT, that _is_ needed by any user space daemon that
likes to control the LCD backlight.

The kernel contains still code to read the backlight up/down keys and
sets the backlight by its own. This ancient code fragment uses only 15
backlight steps (sysfs will support 127 or more) and will interfere with
any user space program that likes to control the LCD backlight on its own.
With the ioctl IOC_GRAB_BACKLIGHT the kernel code can be disabled so that
it won't interfere anymore with user space actions on the backlight.

This bug is at least grave because it will break system daemons like
pbbbuttons, hal and any other that controls the backlight on powerpc.

Please set the kernel option CONFIG_PMAC_BACKLIGHT_LEGACY in the
official debian kernel.

 Best Regards

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages linux-image-2.6.18 depends on:
ii  coreutils                     5.97-5     The GNU core utilities
ii  debconf [debconf-2.0]         1.5.11     Debian configuration management sy

linux-image-2.6.18 recommends no packages.

-- debconf information:
  linux-image-2.6.18/prerm/would-invalidate-boot-loader-2.6.18: true
* linux-image-2.6.18/preinst/overwriting-modules-2.6.18: false
* linux-image-2.6.18/preinst/already-running-this-2.6.18:
  linux-image-2.6.18/preinst/bootloader-initrd-2.6.18: true
  linux-image-2.6.18/postinst/old-system-map-link-2.6.18: true
  linux-image-2.6.18/postinst/old-initrd-link-2.6.18: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.18/postinst/depmod-error-initrd-2.6.18: false
  linux-image-2.6.18/postinst/create-kimage-link-2.6.18: true
  linux-image-2.6.18/prerm/removing-running-kernel-2.6.18: true
  linux-image-2.6.18/preinst/elilo-initrd-2.6.18: true
  linux-image-2.6.18/postinst/depmod-error-2.6.18: false
  linux-image-2.6.18/postinst/old-dir-initrd-link-2.6.18: true
  linux-image-2.6.18/preinst/lilo-initrd-2.6.18: true

Reply to: